package cs4hs11.rsa;
import cs4hs11.rsalibrary.RSAMath;

import java.io.*;
import java.util.Scanner;

public class Decrypt {	
	public static void main(String[] args) {
		Scanner scanin = new Scanner(System.in);
		
		System.out.println("Please enter the private key (d, c): first d, then c");
		
		int key = scanin.nextInt();
		int c = scanin.nextInt();
		
		BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
		
		RSAMath math = new RSAMath();
		
		String inLine = "";
		try {
			while(!inLine.equalsIgnoreCase("quit")) {
				System.out.println("Enter next char cipher value as an int, type quit to quit");
				inLine = in.readLine();
				
				if(!inLine.equalsIgnoreCase("quit")) {
					int enterchar = Integer.parseInt(inLine);
					
					long mutatechar = math.endecrypt(enterchar, key, c);
					
					char mutated = (char) mutatechar;
					
					System.out.println(mutated + " " + mutatechar);
				}
			}
		} catch(Exception e) {
			e.printStackTrace(System.err);
		}
	}
}