package cs4hs11.rsa;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Scanner;

import cs4hs11.rsalibrary.RSAMath;

public class Encrypt {	
	public static void main(String[] args) {	
		Scanner scanin = new Scanner(System.in);
		BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
		
		System.out.println("Please enter the public key (e, c): first e, then c");
		int key = scanin.nextInt();
		int c = scanin.nextInt();
		
		System.out.println("Please enter a sentence to encrypt");
		String entry = "";
		try {
			entry = in.readLine();
		} catch (IOException e) {
			e.printStackTrace();
		}
		
		RSAMath math = new RSAMath();
		
		for(int i = 0; i < entry.length(); i++) {
			int enterchar = (int) (entry.charAt(i));
			
			long mutatechar = math.endecrypt(enterchar, key, c);
			
			// char mutated = (char) mutatechar;
			
			System.out.println(mutatechar);
		}
	}
}