package cs4hs11.rsa;
import java.util.Scanner;

import cs4hs11.rsalibrary.RSAMath;

public class GenKey {	
	public static void main(String[] args) {	
		Scanner in = new Scanner(System.in);
		System.out.println("Enter the nth prime and the mth prime to compute");
		
		RSAMath math = new RSAMath();
		
		long n1 = in.nextLong();
		long n2 = in.nextLong();
		
		long a = math.getNthPrime(n1);
		long b = math.getNthPrime(n2);
		
		long c = a * b;
		
		long m = (a - 1) * (b - 1);
		
		long e = math.coprime(m);
		
		long d = math.mod_inverse(e, m);
		
		System.out.println(n1 + "th prime = " + a + ", " + n2 + "th prime = " + b + ", c = " + c + ", m = " + m + ", e = " + e + ", d = " + d + ", Public Key = (" + e + ", " + c + "), Private Key = (" + d + ", " + c + ")");
	}
}