package cs4hs11.rsa;
import java.util.Scanner;
import cs4hs11.rsalibrary.RSAMath;

public class RSACracker
{
	public static void main(String args[])
	{
			Scanner in = new Scanner(System.in);
			
			System.out.println("Enter the public key value");
			long e = in.nextLong();
			System.out.println("Enter the c that goes with the public key");
			long c = in.nextLong();
			
			long nums[] = guessKey(c);
			long a = nums[0];
			long b = nums[1];
			long m = (a-1)*(b-1);
			
			RSAMath math = new RSAMath();

			long totient = math.totient(m);
			System.out.println("The totient is " + totient);
			long d = math.modulo(e, totient-1, m);
			System.out.println("D was found to be " + d);

			while(true)
			{
				System.out.println("Enter a letter to encrypt/decrypt, or quit to exit");
				String message = in.next();
				if(message.equals("quit"))
				{
					break;
				}
				long encryptVal = math.modulo(Long.parseLong(message), d, c);
				System.out.println("This char decrypted to " + encryptVal);
				System.out.println("The letter is  " + (char)encryptVal);
			}
		System.out.println("Done");
	}
	
	static long[] guessKey(long c)
	{
		long[] nums = new long[2];
		int index = 0;
		for(int i = 2; i < c; i++)
		{
			if(index > 1)
			{
				break;
			}
			if(c % i == 0)
			{
				nums[index] = i;
				index++;
			}
		}
		System.out.println("a was " + nums[0] + " b was " + nums[1]); 
		return nums;
	}
}




